picsort
=======

Picsort is a small tool that takes a number of pictures from cameras and sorts them
into folders by year and month.
It also detects duplicates and sorts them out.

Surpringsingly it also works most video formats, because of `github.com/tajtiattila/metadata`.

usage
-----

Ask the program for parameters:

```
picsort --help
Usage of ./picsort:
  -directory string
        path of the source directory
  -dry-run
        don't create directories or files (default true)
  -target string
        path to the target directory
  -workers int
        number of workers to analyze and copy files (default 10)
```

Take a folder and sort it into a different directory:

```
picsort --directory sourcedir --target targetdir
```

With `--dry-run` a log is generated what would be done.

The `--workers` flag starts multiple workers that take over the copying
and analyzing of metadata for better throughput.
